import {defHttp} from '/@/utils/http/axios';
import { useMessage } from "/@/hooks/web/useMessage";

const { createConfirm } = useMessage();

enum Api {
  list = '/audit/auditProject/list',
  save='/audit/auditProject/add',
  edit='/audit/auditProject/edit',
  deleteOne = '/audit/auditProject/delete',
  deleteBatch = '/audit/auditProject/deleteBatch',
  importExcel = '/audit/auditProject/importExcel',
  exportXls = '/audit/auditProject/exportXls',

  getCategoryData = '/sys/category/loadAllData',

}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = async (params) => {

  let retData = await defHttp.get({url: Api.list, params});
  let list = retData.records;
  let dicTpDatas = await defHttp.get({url: Api.getCategoryData, params:{code:'B09'}});
  
  if(list&&list.length>0&&dicTpDatas.length>0) {
    for (let i = 0; i < list.length; i++) {
      const item = dicTpDatas.find(item => item.value === list[i].tp);
      list[i]["tpname"] = item?.text
    }
  }

  return retData

}
 

/**
 * 删除单个
 */
export const deleteOne = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteOne, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDelete = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  let url = isUpdate ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}
